Delete a Device Group

delete

/rest/{versionId}/inventory/device-mgmt/device-groups/{groupId}

Use the (DELETE) method to delete device groups from Device Manager.

Request

Path Parameters
Back to Top

Response

204 Response

Deleted successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, device group, and so on) of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to delete a Device Group.

curl -X DELETE \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/device-groups/181"

The following example shows how to use Python to delete a Device Group.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/device-groups/181"
resp = requests.delete(url, headers=headers)

Note:

Use the Get Existing Device Groups API to find the groupId parameter.

Example of the Response Body

This endpoint does not return a response body.

Back to Top